<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>

    <title>Document</title>
</head>
<body>
    <div ref="root" id="app">
        <button @click='counter--' ref="abc">Click --</button>
        <Hello ref="hello"></Hello>
    </div>
    <script>
          Vue.component('Hello',{
        template:"<div><label>Say Hello</label><br><p>{{this.$root.counter}}</p><br><button @click='this.$root.countPerson'>click</button></div>",
        created() {
            console.log(this.$root.say)
            
        },
    })
    new Vue({
        el:'#app',
        data:{
            say:'hello viet nam',  
            counter:0,
        },
        components:{
            // Hello
        },
        methods: {
            countPerson(){
                this.counter += 1;
            }
        },
    })
  
    
    </script>
</body>
</html>